### Hierarchy

- ProfileManagerImpl

### Implements

- ProfileManager

## Index

### Constructors

- constructor

### Methods

- getAuthorizedData
- getAuthorizedEncryptionKeys
- getData
- getRawData
- signMessage
- updateData

## Constructors

### constructor

- new ProfileManagerImpl(clientRepository: ClientDataRepository, authAccountBehavior: Observable<Account>, encrypt: MessageEncrypt, decrypt: MessageDecrypt, signer: MessageSigner): ProfileManagerImpl

- - Defined in manager/ProfileManagerImpl.ts:18

  #### Parameters

  - ##### clientRepository: ClientDataRepository

  - ##### authAccountBehavior: Observable<Account>

  - ##### encrypt: MessageEncrypt

  - ##### decrypt: MessageDecrypt

  - ##### signer: MessageSigner

  #### Returns ProfileManagerImpl

## Methods

### getAuthorizedData

- getAuthorizedData(recipientPk: string, encryptedData: string): Promise<Map<string, string>>

- Implementation of ProfileManager.getAuthorizedData

  - Defined in manager/ProfileManagerImpl.ts:66

  Decrypts accepted personal data {@link DataRequest#responseData}.

  #### Parameters

  - ##### recipientPk: string

    Public key of the user that shared the data

  - ##### encryptedData: string

    encrypted data {@link DataRequest#responseData}.

  #### Returns Promise<Map<string, string>>

  Map key => value.

### getAuthorizedEncryptionKeys

- getAuthorizedEncryptionKeys(recipientPk: string, encryptedData: string): Promise<Map<string, string>>

- Implementation of ProfileManager.getAuthorizedEncryptionKeys

  - Defined in manager/ProfileManagerImpl.ts:97

  Returns decryption keys for approved personal data {@link DataRequest#responseData}.

  #### Parameters

  - ##### recipientPk: string

    Public key of the user that shared the data

  - ##### encryptedData: string

    encrypted data {@link DataRequest#responseData}.

  #### Returns Promise<Map<string, string>>

  Map key => value.

### getData

- getData(): Promise<Map<string, string>>

- Implementation of ProfileManager.getData

  - Defined in manager/ProfileManagerImpl.ts:44

  Returns decrypted data of the authorized user.

  #### Returns Promise<Map<string, string>>

  Map key => value.

### getRawData

- getRawData(anyPublicKey: string): Promise<Map<string, string>>

- Implementation of ProfileManager.getRawData

  - Defined in manager/ProfileManagerImpl.ts:55

  Returns raw (encrypted) data of user with provided ID (Public Key).

  #### Parameters

  - ##### anyPublicKey: string

    Public key of client.

  #### Returns Promise<Map<string, string>>

  Map key => value.

### signMessage

- signMessage(data: any): Promise<string>

- Implementation of ProfileManager.signMessage

  - Defined in manager/ProfileManagerImpl.ts:35

  #### Parameters

  - ##### data: any

  #### Returns Promise<string>

### updateData

- updateData(data: Map<string, string>): Promise<Map<string, string>>

- Implementation of ProfileManager.updateData

  - Defined in manager/ProfileManagerImpl.ts:120

  Encrypts and stores personal data in BASE.

  #### Parameters

  - ##### data: Map<string, string>

    not encrypted data e.g. Map {"name": "Adam"} etc.

  #### Returns Promise<Map<string, string>>

  Map with encrypted data.

Generated using TypeDoc